explain_listen_or_die(3)

NAME
explain_listen_or_die - listen for connections on a socket and report errors

SYNOPSIS
#include <libexplain/listen.h>

void explain_listen_or_die(int fildes, int backlog);

DESCRIPTION
The explain_listen_or_die function is used to call the listen(2) system call. On failure an explanation will be printed to stderr, obtained from explain_listen(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_listen_or_die(fildes, backlog);

fildes
    The fildes, exactly as to be passed to the listen(2) system call.

backlog
    The backlog, exactly as to be passed to the listen(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

listen(2)
    listen for connections on a socket

explain_listen(3)
    explain listen(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller